unit BmpsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Generics.Collections, ExtDlgs;

type
  TCCForm = class(TForm)
    LoadCBitmap: TButton;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    procedure FormCreate(Sender: TObject);
    procedure LoadCBitmapClick(Sender: TObject);

  private
    procedure SaveBitbmpToStream(aBitmap :TBitmap; aStream :TStream);
  public
    { Public declarations }
  end;

var
  CCForm: TCCForm;

implementation

{$R *.dfm}


procedure TCCForm.LoadCBitmapClick(Sender: TObject);
var
  mem :TMemoryStream;
begin
  try
    mem := TMemoryStream.Create;
    Self.SaveBitbmpToStream(image2.Picture.Bitmap, mem);
    Self.SaveBitbmpToStream(image3.Picture.Bitmap, mem);
    Self.SaveBitbmpToStream(image4.Picture.Bitmap, mem);
    Self.Image1.Picture.Bitmap.LoadFromStream(mem);
    Self.Image1.Repaint;
  finally
    mem.Free;
  end;
end;

procedure TCCForm.FormCreate(Sender: TObject);
begin
  image2.Picture.Bitmap.LoadFromResourceID(hInstance, 1);
  image3.Picture.Bitmap.LoadFromResourceID(hInstance, 2);
  image4.Picture.Bitmap.LoadFromResourceID(hInstance, 3);

end;

procedure TCCForm.SaveBitbmpToStream(aBitmap: TBitmap; aStream: TStream);
var
  ms: TMemoryStream;
  size: Integer;
begin
  Assert( Assigned(aBitmap));
  Assert( Assigned(aStream));
  ms:= TMemoryStream.Create;
  try
    aBitmap.SaveToStream(ms);
    ms.position := 0;
    size := ms.Size;
    aStream.WriteBuffer( size, Sizeof(size));
    aStream.CopyFrom(ms, size );
  finally
    ms.free
  end;
end;

end.
